## ros-noetic-mia-hand-gazebo 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mia_hand_gazebo)

################################################################################################
## Compile as C++11, supported in ROS Kinetic and newer
################################################################################################

# add_compile_options(-std=c++11)

################################################################################################
## Find catkin macros and libraries
################################################################################################

#------------------------------------------------------------------------------------
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
#------------------------------------------------------------------------------------

find_package(catkin REQUIRED COMPONENTS
  mia_hand_description
  mia_hand_ros_control
  std_msgs

  # ros control
  controller_manager
  roscpp
  angles
  pluginlib
  control_toolbox
  hardware_interface
  transmission_interface
  joint_limits_interface
  #gazebo
  #gazebo
  gazebo_ros_control
  #urdf
  urdf
)


#------------------------------------------------------------------------------------
# Depend on system install of Gazebo
#------------------------------------------------------------------------------------
find_package(gazebo REQUIRED)

#------------------------------------------------------------------------------------
## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
#------------------------------------------------------------------------------------

# catkin_python_setup()

################################################################################################
## Declare ROS messages, services and actions ##
################################################################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

#------------------------------------------------------------------------------------
## Generate messages in the 'msg' folder
#------------------------------------------------------------------------------------

# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

#------------------------------------------------------------------------------------
## Generate services in the 'srv' folder
#------------------------------------------------------------------------------------

# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

#------------------------------------------------------------------------------------
## Generate actions in the 'action' folder
#------------------------------------------------------------------------------------

# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

#------------------------------------------------------------------------------------
## Generate added messages and services with any dependencies listed here
#------------------------------------------------------------------------------------

# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###########################################################################################################
## Declare ROS dynamic reconfigure parameters ##
###########################################################################################################


## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

#------------------------------------------------------------------------------------
## Generate dynamic reconfigure parameters in the 'cfg' folder
#------------------------------------------------------------------------------------

# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###########################################################################################################
## catkin specific configuration ##
###########################################################################################################


#------------------------------------------------------------------------------------
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
#------------------------------------------------------------------------------------

catkin_package(
  CATKIN_DEPENDS
  	mia_hand_description
  	mia_hand_ros_control
  	std_msgs
  	controller_manager
  	roscpp
 	angles
  	pluginlib
  	control_toolbox
  	hardware_interface
  	transmission_interface
  	joint_limits_interface
  	gazebo_ros_control
  	urdf
  INCLUDE_DIRS include
  #LIBRARIES mia_hand_gazebo

  DEPENDS GAZEBO
)

###########
## Build ##
###########



link_directories(
  ${GAZEBO_LIBRARY_DIRS}
  ${catkin_LIBRARY_DIRS}
)

#------------------------------------------------------------------------------------
## Specify additional locations of header files
## Your package locations should be listed before other locations
#------------------------------------------------------------------------------------

include_directories(
   include
  ${Boost_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

#------------------------------------------------------------------------------------------------
## Declare a C++ library
#------------------------------------------------------------------------------------------------

add_library(${PROJECT_NAME} 			#<-- The library name! (mia_hand_gazebo)
		src/Mia_hw_sim.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

#------------------------------------------------------------------------------------------------
## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
#------------------------------------------------------------------------------------------------

# add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

#------------------------------------------------------------------------------------------------
## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
#------------------------------------------------------------------------------------------------

# add_executable(${PROJECT_NAME}_node src/mia_hand_gazebo_node.cpp)

#------------------------------------------------------------------------------------------------
## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
#------------------------------------------------------------------------------------------------

# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

#------------------------------------------------------------------------------------------------
## Add cmake target dependencies of the executable
## same as for the library above
#------------------------------------------------------------------------------------------------

# add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})



###########################################################################################################
## Install ##

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html
###########################################################################################################


#------------------------------------------------------------------------------------------------
## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
#------------------------------------------------------------------------------------------------

# catkin_install_python(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

#------------------------------------------------------------------------------------------------
## Mark executables for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_executables.html
#------------------------------------------------------------------------------------------------

# install(TARGETS ${PROJECT_NAME}_node
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

#------------------------------------------------------------------------------------------------
## Mark libraries for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_libraries.html
#------------------------------------------------------------------------------------------------

 install(TARGETS ${PROJECT_NAME}
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)


#------------------------------------------------------------------------------------------------
## Mark cpp header files for installation and other files for installation (e.g. launch and bag files, etc.)
#------------------------------------------------------------------------------------------------

 install(DIRECTORY include/${PROJECT_NAME}/
	  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
)

 install(FILES
	mia_hw_sim_plugins.xml
#   # myfile2
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mia_hand_gazebo.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

=== debian/changelog ===
ros-noetic-mia-hand-gazebo (1.0.2-1buster) buster; urgency=high



 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-gazebo (1.0.1-1buster) buster; urgency=high



 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-gazebo (1.0.0-1buster) buster; urgency=high

  * 1.0.0
  * Updated CHANGELOG files.
  * Updated CHANGELOG files.
  * Added srv dependency to mia_hand_driver and joint_state_interface to mmia_hand_description. Added wiki url links.
  * Added license file in the repo and license text as header of each file.
  * Added licence file and licence text as header of each file.
  * 1.0.0
  * Merge branch 'master' of https://bitbucket.org/prensiliasrl/mia_hand_ros_pkgs
  * Added ChangeLog files of each pkg.
  * CMakeLists.txt edited the name of the xml file to install.
  * Initial commit.
  * Fix package xml files.
  * Initial commit.
  * Contributors: Andrea Burani, Francesca Cini, frcini

 -- Andrea Burani <andreabu@prensilia.com>  Mon, 24 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-mia-hand-gazebo
Section: misc
Priority: optional
Maintainer: Andrea Burani <andreabu@prensilia.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-control-toolbox, ros-noetic-controller-manager, ros-noetic-gazebo-ros-control, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-mia-hand-description, ros-noetic-mia-hand-ros-control, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-transmission-interface, ros-noetic-urdf
Homepage: https://wiki.ros.org/mia_hand_ros_pkgs
Standards-Version: 3.9.2

Package: ros-noetic-mia-hand-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-control-toolbox, ros-noetic-controller-manager, ros-noetic-gazebo-ros-control, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-mia-hand-description, ros-noetic-mia-hand-ros-control, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-transmission-interface, ros-noetic-urdf
Description: Package for simulating Mia Hand in Gazebo, interfacing simulation with ROS Control.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mia-hand-gazebo//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
